### Method

# AppStream Metadata save_metainfo

#### Declaration [src]

    gboolean
    as_metadata_save_metainfo (
      AsMetadata* metad,
      const gchar* fname,
      AsFormatKind format,
      GError** error
    )

#### Description [src]

Serialize `AsComponent` instance to XML and save it to file. An existing file at the same location will be overridden.

#### Parameters

`fname`

  Type: `const gchar*`

  The filename for the new metadata file.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`format`

  Type: `AsFormatKind`

  The format to save this file in. Only XML is supported at time.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the file was written without error.